


import org.eclipse.jface.action.MenuManager;
import org.eclipse.jface.action.StatusLineManager;
import org.eclipse.jface.viewers.ComboViewer;
import org.eclipse.jface.window.ApplicationWindow;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.custom.CTabFolder;
import org.eclipse.swt.custom.CTabItem;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Menu;
import org.eclipse.swt.widgets.MenuItem;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class TestCase extends ApplicationWindow  {

	private Button chkMwstFrei;
	private MenuItem mntmFaelligAm;
	private MenuItem mntmValutadatum;
	private MenuItem mntmNettotage;
	private Menu menu;
	private Text txtZahlungskondition;
	private Label lblZahlungskondition;
	private Text txtWerbeabgabesumme;
	private Label lblSummeWerbeabgabe;
	private Button btnVoranzeige;
	private Button btnZahlungseingang;
	private Button btnDelete;
	private Button btnPrint;
	private CLabel lblAnzDruck;
	private CLabel lblDatumReDruck;
	private CLabel lblDatumReErz;
	private CLabel lblDatumAend;
	private CLabel lblUserReDruck;
	private CLabel lblUserReErz;
	private CLabel lblUserAaend;
	private CLabel lblDatumAnl;
	private CLabel lblUserAnl;
	private Label lblAntDrucke;
	private Label lblReGedruckt;
	private Label lblReErzeugt;
	private Label label_7;
	private Label lblAnlage;
	private Group group;
	private Label label_5;
	private Group grpAuslandsrechnung;
	private Group grpZahlungsziel;
	private Text txtFWFaktor;
	private Label label_6;
	private Button chkInnerGLief;
	private Button btnCancel;
	private Button btnSave;
	private Button btnFaktura;
	private Composite compButtons;
	private Combo combo_3;
	private Text txtRechnungsbetrag;
	private Text txtMwstGesamt;
	private Label label_2;
	private Label lblRechnungsbetrag;
	private Label lblMwst;
	private Text txtPositionssumme;
	private Label lblPositionssumme;
	private Group grpSummen;
	private ComboViewer cvWaehrung;
	private Label label;
	private Label lblValutadatum;
	private Text txtNettotage;
	private Label lblNettotage;
	private Composite composite_1;
	private CTabItem tbtmRechnungskopf;
	private CTabFolder tabFolderMain;
	private Label btnSeperator1;

	private Button btnKontrolliert;
	private Label lblReKontrolliert;
	private CLabel lblUserReKontrolle;
	private CLabel lblDatumRekontrolle;
	private Label dtpValutadatum;

	/**
	 * Create the application window
	 */

	public TestCase(ApplicationWindow parentWin) {
		this(parentWin.getShell());
	}

	/**
	 * @wbp.parser.constructor
	 */
	public TestCase(Shell shell) {
		super(shell);
	}

	protected StatusLineManager createStatusLineManager() {
		StatusLineManager slm = super.createStatusLineManager();
		slm.setMessage(null, ""); //$NON-NLS-1$
		return slm;
	}

	protected void configureShell(Shell newShell) {
		super.configureShell(newShell);
		newShell.setText("Rechnungen bearbeiten");
	}

	/**
	 * Create contents of the application window
	 * 
	 * @param parent
	 */
	protected Control createContents(Composite parent) {
		Composite container = new Composite(parent, SWT.NONE);
		final GridLayout gridLayout_2 = new GridLayout();
		gridLayout_2.numColumns = 2;
		container.setLayout(gridLayout_2);
		{
			tabFolderMain = new CTabFolder(container, SWT.NONE);
			tabFolderMain.setSimple(false);
			final GridData gd_tabFolderMain = new GridData(SWT.FILL,
					SWT.CENTER, false, true, 2, 1);
			gd_tabFolderMain.widthHint = 566;
			tabFolderMain.setLayoutData(gd_tabFolderMain);
			{
				tbtmRechnungskopf = new CTabItem(tabFolderMain, SWT.NONE);
				tbtmRechnungskopf.setText("Rechnungskopf");
				{
					composite_1 = new Composite(tabFolderMain, SWT.NONE);
					final GridLayout gridLayout = new GridLayout();
					gridLayout.verticalSpacing = 3;
					gridLayout.marginHeight = 3;
					gridLayout.numColumns = 2;
					gridLayout.horizontalSpacing = 10;
					composite_1.setLayout(gridLayout);
					tbtmRechnungskopf.setControl(composite_1);
					{
						grpAuslandsrechnung = new Group(composite_1, SWT.NONE);
						final GridData gd_grpAuslandsrechnung = new GridData(
								SWT.FILL, SWT.CENTER, true, false, 2, 1);
						gd_grpAuslandsrechnung.widthHint = 519;
						grpAuslandsrechnung
								.setLayoutData(gd_grpAuslandsrechnung);
						final GridLayout gridLayout_1 = new GridLayout();
						gridLayout_1.horizontalSpacing = 10;
						gridLayout_1.numColumns = 4;
						grpAuslandsrechnung.setLayout(gridLayout_1);
						{
							label = new Label(grpAuslandsrechnung, SWT.NONE);
							label.setLayoutData(new GridData(82, SWT.DEFAULT));
							label.setText("Fremdwhrung");
						}
						{
							cvWaehrung = new ComboViewer(grpAuslandsrechnung,
									SWT.READ_ONLY);
							combo_3 = cvWaehrung.getCombo();
							final GridData gd_combo_3 = new GridData(SWT.FILL,
									SWT.CENTER, false, false);
							gd_combo_3.widthHint = 99;
							combo_3.setLayoutData(gd_combo_3);
						}
						{
							label_6 = new Label(grpAuslandsrechnung, SWT.NONE);
							label_6.setText("FW Faktor");
						}
						{
							txtFWFaktor = new Text(grpAuslandsrechnung,
									SWT.BORDER);
							txtFWFaktor.setTextLimit(10);
						}
						new Label(grpAuslandsrechnung, SWT.NONE);
						{
							chkMwstFrei = new Button(grpAuslandsrechnung,
									SWT.CHECK);
							chkMwstFrei.setText("keine Mwst.");
						}
						new Label(grpAuslandsrechnung, SWT.NONE);
						{
							chkInnerGLief = new Button(grpAuslandsrechnung,
									SWT.LEFT | SWT.CHECK);
							chkInnerGLief
									.setText("Innergemeinschaftl. Lieferung");
							final GridData gd_chkInnerGLief = new GridData(
									SWT.LEFT, SWT.TOP, false, false);
							gd_chkInnerGLief.widthHint = 188;
							chkInnerGLief.setLayoutData(gd_chkInnerGLief);
						}

					}
					{
						grpZahlungsziel = new Group(composite_1, SWT.NONE);
						final GridData gd_grpZahlungsziel = new GridData(
								SWT.FILL, SWT.CENTER, true, false, 2, 1);
						gd_grpZahlungsziel.widthHint = 517;
						grpZahlungsziel.setLayoutData(gd_grpZahlungsziel);
						final GridLayout gridLayout_1 = new GridLayout();
						gridLayout_1.horizontalSpacing = 10;
						gridLayout_1.numColumns = 5;
						grpZahlungsziel.setLayout(gridLayout_1);

						{
							lblNettotage = new Label(grpZahlungsziel, SWT.NONE);
							lblNettotage.setLayoutData(new GridData(83,
									SWT.DEFAULT));
							lblNettotage.setText("Nettotage");
						}

						{
							txtNettotage = new Text(grpZahlungsziel, SWT.BORDER);
							final GridData gd_txtNettotage = new GridData(
									SWT.CENTER, SWT.CENTER, false, false);
							gd_txtNettotage.widthHint = 29;
							txtNettotage.setLayoutData(gd_txtNettotage);
							txtNettotage.setTextLimit(3);
						}
						{
							label_5 = new Label(grpZahlungsziel, SWT.NONE);
							label_5.setLayoutData(new GridData(40, SWT.DEFAULT));
						}
						{
							lblValutadatum = new Label(grpZahlungsziel,
									SWT.NONE);
							lblValutadatum.setLayoutData(new GridData(80,
									SWT.DEFAULT));
							lblValutadatum.setText("Valutadatum");
						}
						{
							dtpValutadatum = new Label(
									grpZahlungsziel, SWT.BORDER);
						}
						{
							lblZahlungskondition = new Label(grpZahlungsziel,
									SWT.NONE);
							lblZahlungskondition.setText("Zahlungskondition");
						}
						{
							txtZahlungskondition = new Text(grpZahlungsziel,
									SWT.BORDER);
							txtZahlungskondition
									.setLayoutData(new GridData(
									SWT.FILL, SWT.CENTER, false, false, 4, 1));
							txtZahlungskondition.setTextLimit(100);
							{
								menu = new Menu(txtZahlungskondition);
								txtZahlungskondition.setMenu(menu);
								{
									mntmNettotage = new MenuItem(menu, SWT.NONE);
									mntmNettotage
											.addSelectionListener(new SelectionAdapter() {
												public void widgetSelected(
														final SelectionEvent e) {
													txtZahlungskondition
															.insert("%NT%");
												}
											});
									mntmNettotage.setText("Nettotage");
								}
								{
									mntmValutadatum = new MenuItem(menu,
											SWT.NONE);
									mntmValutadatum
											.addSelectionListener(new SelectionAdapter() {
												public void widgetSelected(
														final SelectionEvent e) {
													txtZahlungskondition
															.insert("%VD%");
												}
											});
									mntmValutadatum.setText("Valutadatum");
								}
								{
									mntmFaelligAm = new MenuItem(menu, SWT.NONE);
									mntmFaelligAm
											.addSelectionListener(new SelectionAdapter() {
												public void widgetSelected(
														final SelectionEvent e) {
													txtZahlungskondition
															.insert("%FA%");
												}
											});
									mntmFaelligAm.setText("FaelligAm");
								}
							}
						}

					}
					{
						group = new Group(composite_1, SWT.NONE);
						final GridData gd_group = new GridData(SWT.FILL,
								SWT.FILL, true, false);
						gd_group.verticalSpan = 2;
						gd_group.widthHint = 237;
						group.setLayoutData(gd_group);
						final GridLayout gridLayout_1 = new GridLayout();
						gridLayout_1.numColumns = 3;
						group.setLayout(gridLayout_1);
						{
							lblAnlage = new Label(group, SWT.NONE);
							lblAnlage.setText("Anlage");
						}
						{
							lblUserAnl = new CLabel(group, SWT.BORDER);
							final GridData gd_lblUserAnl = new GridData(
									SWT.FILL, SWT.CENTER, false, false);
							gd_lblUserAnl.widthHint = 55;
							lblUserAnl.setLayoutData(gd_lblUserAnl);
							lblUserAnl.setText("label");
						}
						{
							lblDatumAnl = new CLabel(group, SWT.BORDER);
							lblDatumAnl.setLayoutData(new GridData(
									SWT.FILL, SWT.CENTER, true, false));
							lblDatumAnl.setText("label");
						}
						{
							label_7 = new Label(group, SWT.NONE);
							label_7.setText("nderung");
						}
						{
							lblUserAaend = new CLabel(group, SWT.BORDER);
							final GridData gd_lblUserAaend = new GridData(
									SWT.FILL, SWT.CENTER, false, false);
							gd_lblUserAaend.widthHint = 55;
							lblUserAaend.setLayoutData(gd_lblUserAaend);
							lblUserAaend.setText("label");
						}
						{
							lblDatumAend = new CLabel(group, SWT.BORDER);
							lblDatumAend.setLayoutData(new GridData(
									SWT.FILL, SWT.CENTER, false, false));
							lblDatumAend.setText("label");
						}
						{
							lblReErzeugt = new Label(group, SWT.NONE);
							lblReErzeugt.setText("RE erstellt");
						}
						{
							lblUserReErz = new CLabel(group, SWT.BORDER);
							final GridData gd_lblUserReErz = new GridData(
									SWT.FILL, SWT.CENTER, false, false);
							gd_lblUserReErz.widthHint = 55;
							lblUserReErz.setLayoutData(gd_lblUserReErz);
							lblUserReErz.setText("label");
						}
						{
							lblDatumReErz = new CLabel(group, SWT.BORDER);
							lblDatumReErz.setLayoutData(new GridData(
									SWT.FILL, SWT.CENTER, false, false));
							lblDatumReErz.setText("label");
						}
						{
							lblReGedruckt = new Label(group, SWT.NONE);
							lblReGedruckt.setText("RE gedruckt");
						}
						{
							lblUserReDruck = new CLabel(group, SWT.BORDER);
							final GridData gd_lblUserReDruck = new GridData(
									SWT.FILL, SWT.CENTER, false, false);
							gd_lblUserReDruck.widthHint = 55;
							lblUserReDruck.setLayoutData(gd_lblUserReDruck);
							lblUserReDruck.setText("label");
						}
						{
							lblDatumReDruck = new CLabel(group, SWT.BORDER);
							lblDatumReDruck.setLayoutData(new GridData(
									SWT.FILL, SWT.CENTER, false, false));
							lblDatumReDruck.setText("label");
						}
						{
							lblAntDrucke = new Label(group, SWT.NONE);
							lblAntDrucke.setText("Ausdrucke");
						}
						{
							lblAnzDruck = new CLabel(group, SWT.BORDER);
							lblAnzDruck.setLayoutData(new GridData(SWT.FILL,
									SWT.CENTER, false, false));
							lblAnzDruck.setText("label");
						}
						new Label(group, SWT.NONE);

						lblReKontrolliert = new Label(group, SWT.NONE);
						lblReKontrolliert.setText("RE kontrolliert");

						lblUserReKontrolle = new CLabel(group, SWT.BORDER);
						lblUserReKontrolle.setLayoutData(new GridData(SWT.FILL,
								SWT.CENTER, false, false));
						lblUserReKontrolle.setText("label");

						lblDatumRekontrolle = new CLabel(group, SWT.BORDER);
						final GridData gd_lblDatumRekontrolle = new GridData(
								SWT.FILL, SWT.CENTER, false, false);
						gd_lblDatumRekontrolle.widthHint = 55;
						lblDatumRekontrolle
								.setLayoutData(gd_lblDatumRekontrolle);
						lblDatumRekontrolle.setText("label");
					}

					{
						grpSummen = new Group(composite_1, SWT.NONE);
						final GridData gd_grpSummen = new GridData(SWT.FILL,
								SWT.FILL, true, false);
						gd_grpSummen.widthHint = 263;
						grpSummen.setLayoutData(gd_grpSummen);
						final GridLayout gridLayout_1 = new GridLayout();
						gridLayout_1.horizontalSpacing = 10;
						gridLayout_1.numColumns = 2;
						grpSummen.setLayout(gridLayout_1);
						{
							lblPositionssumme = new Label(grpSummen, SWT.NONE);
							lblPositionssumme.setLayoutData(new GridData(
									SWT.LEFT, SWT.TOP, false, false));
							lblPositionssumme.setText("Positionssumme");
						}
						{
							txtPositionssumme = new Text(grpSummen, SWT.RIGHT
									| SWT.BORDER);
							txtPositionssumme.setEditable(false);
							txtPositionssumme.setOrientation(SWT.RIGHT_TO_LEFT);
							txtPositionssumme.setLayoutData(new GridData(120,
									SWT.DEFAULT));
							txtPositionssumme.setTextLimit(20);
						}
						{
							lblSummeWerbeabgabe = new Label(grpSummen, SWT.NONE);
							lblSummeWerbeabgabe.setLayoutData(new GridData(
									SWT.LEFT, SWT.TOP, false, false));
							lblSummeWerbeabgabe.setText("Werbeabgabe");
						}
						{
							txtWerbeabgabesumme = new Text(grpSummen, SWT.RIGHT
									| SWT.BORDER);
							txtWerbeabgabesumme.setLayoutData(new GridData(120,
									SWT.DEFAULT));
							txtWerbeabgabesumme
									.setOrientation(SWT.RIGHT_TO_LEFT);
							txtWerbeabgabesumme.setEditable(false);
							txtWerbeabgabesumme.setTextLimit(20);
						}
						{
							lblMwst = new Label(grpSummen, SWT.NONE);
							lblMwst.setText("Mwst. Gesamt");
						}
						{
							txtMwstGesamt = new Text(grpSummen, SWT.RIGHT
									| SWT.BORDER);
							txtMwstGesamt.setEditable(false);
							txtMwstGesamt.setOrientation(SWT.RIGHT_TO_LEFT);
							txtMwstGesamt.setLayoutData(new GridData(SWT.FILL,
									SWT.CENTER, false, false));
							txtMwstGesamt.setTextLimit(20);
						}
						new Label(grpSummen, SWT.NONE);
						{
							label_2 = new Label(grpSummen, SWT.SEPARATOR
									| SWT.HORIZONTAL);
							label_2.setLayoutData(new GridData(SWT.FILL,
									SWT.CENTER, false, false));
						}
						{
							lblRechnungsbetrag = new Label(grpSummen, SWT.NONE);
							lblRechnungsbetrag.setText("Rechnungsbetrag");
						}
						{
							txtRechnungsbetrag = new Text(grpSummen, SWT.RIGHT
									| SWT.BORDER);
							txtRechnungsbetrag.setEditable(false);
							txtRechnungsbetrag
									.setOrientation(SWT.RIGHT_TO_LEFT);
							txtRechnungsbetrag.setLayoutData(new GridData(
									SWT.FILL, SWT.CENTER, false, false));
							txtRechnungsbetrag.setTextLimit(20);
						}
					}
					{
						compButtons = new Composite(composite_1, SWT.NONE);
						final GridData gd_compButtons = new GridData(SWT.RIGHT,
								SWT.FILL, true, false, 1, 1);
						gd_compButtons.heightHint = 37;
						compButtons.setLayoutData(gd_compButtons);
						final GridLayout gridLayout_1 = new GridLayout();
						gridLayout_1.marginWidth = 0;
						gridLayout_1.numColumns = 9;
						compButtons.setLayout(gridLayout_1);
						{
							btnFaktura = new Button(compButtons, SWT.NONE);
							btnFaktura.setToolTipText("Rechnung erzeugen"); //$NON-NLS-1$
						}
						{
							btnPrint = new Button(compButtons, SWT.NONE);
							btnPrint.setToolTipText("Rechnung ausdrucken");
						}
						{
							btnVoranzeige = new Button(compButtons, SWT.NONE);
							btnVoranzeige
									.setToolTipText("Voranzeige Rechnung ");
							btnVoranzeige.setEnabled(false);
						}
						{
							btnZahlungseingang = new Button(compButtons,
									SWT.NONE);
							btnZahlungseingang.setToolTipText("Zahlungseing\u00E4nge buchen");
						}

						btnKontrolliert = new Button(compButtons, SWT.NONE);
						btnKontrolliert.setToolTipText("RE kontrolliert");
						{
							btnSeperator1 = new Label(compButtons,
									SWT.SEPARATOR);
							btnSeperator1.setLayoutData(new GridData(
									SWT.DEFAULT, 22));
						}
						{
							btnSave = new Button(compButtons, SWT.NONE);
							btnSave.setEnabled(false);
						}
						{
							btnCancel = new Button(compButtons, SWT.NONE);
							btnCancel.setEnabled(false);
						}
						{
							btnDelete = new Button(compButtons, SWT.NONE);
							btnDelete.setEnabled(false);
						}
					}

				}
			}


		}

		return container;
	}

	/**
	 * Create the actions
	 */

	protected void handleShellCloseEvent() {
		super.handleShellCloseEvent();
	}

	/**
	 * Create the menu manager
	 * 
	 * @return the menu manager
	 */
	protected MenuManager createMenuManager() {
		MenuManager menuManager = new MenuManager("menu");
		return menuManager;
	}



}
